在heroku中安装JRE

I got this error in running heroku run rake sunspot:solr:run

rake aborted!
You need a Java Runtime Environment to run the Solr server

有没有一种方法可以在heroku中安装jre?

0
额外 编辑
意见: 1

1 答案

您无法在Heroku上安装JRE,因此您无法从Heroku工作人员运行Solr。

如果你想在Heroku中使用Solr,你必须使用 Websolr 插件,或者启动一个EC2服务器并从那里运行你自己的Solr副本。

0
额外
难过的听到。虽然我试图运行我自己的服务器solr,但它没有工作。可能是因为reindexing问题。
额外 作者 Jude Calimbas,
Heroku现在不提供基于JVM的语言吗?
额外 作者 echristopherson,